package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.PackPackageInfoBean;

public interface PackPackageDal {
	int insertPackPackage(PackPackageInfoBean pBean);
	List<PackPackageInfoBean> queryAllPackPackageDESC(int option_id,int option_type);
	List<PackPackageInfoBean> queryAllPackPackageASC(int option_id,int option_type);
	PackPackageInfoBean queryPackPackageById(int id);
	void deletePackPackageById(int id);
	void deletePackPackageByOptionId(int option_id,int option_type);
	void updatePackPackageCountById(int id, int count);
	void updatePackPackageSubmitStatus(int id, int status,int error_code);
	boolean hasExisPackageInOtherActivate(String packageLabel);
	boolean hasExisPackageInOtherPack(String packageLabel,int option_type,int option_id,int other_option_type);
	int queryPackageCountByOption(int option_id,int option_type);
	
	PackPackageInfoBean getPackPackageInfoBean(Cursor c);
	
}
